%def_disable static
%def_enable shared

Name: valknut
Version: 0.3.8
Release: alt1
Summary: Direct Connect client with QT gui
License: GPL
Group: Networking/File transfer
Url: http://dcgui.berlios.de

Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name.menu
Source2: %name.png
Source3: %name.ru.qm
Source4: %name.translation.readme
Source5: %name.ipfilter.txt
Patch1: valknut_automake.patch
Patch2: valknut-savelayout-20050211.diff

Requires: dclib = %version-%release

# Automatically added by buildreq on Sat Apr 02 2005
BuildRequires: bzlib-devel dclib-devel fontconfig freetype2 gcc-c++ gcc-g77 hostinfo libjpeg-devel libpng-devel libqt3-devel libqt3-settings libssl-devel libstdc++-devel libxml2-devel mozilla-psm xorg-x11-devel-static xorg-x11-libs zlib-devel

%description
This is a client for the direct connect file sharing protocol with
a nice GUI.

%prep
%setup -q -n %name
%patch1 -p1
%patch2 -p1

%make -f Makefile.dist

%build
%configure \
	%{subst_enable static} \
	%{subst_enable shared} \
	--enable-mt \
	--enable-debug=yes \
	--with-qt-dir=/usr/lib/qt3 \
	--with-libdc=/usr/include/dclib \

%make_build

%install
%makeinstall
%__mkdir_p %buildroot%_man1dir
%__install -pm644 %name/docs/en/valknut.1 %buildroot%_man1dir

#menu
%__install -pm755 -d %buildroot%_menudir
%__install -pm644 %SOURCE1 %buildroot%_menudir/%name

#icons
%__mkdir_p %buildroot%_datadir/icons/
%__install -pm644 %SOURCE2 %buildroot%_datadir/icons/%name.png

#translation
%__mkdir_p %buildroot%_datadir/%name/translation/
%__install -pm644 %SOURCE3 %buildroot%_datadir/%name/translation/%name.ru.qm

#documentation
%__mkdir_p %buildroot%_datadir/doc/%name-%version/images/hublist
%__install -pm644 %name/docs/en/fdl.xml %buildroot%_datadir/doc/%name-%version/fdl.xml
%__install -pm644 %name/docs/en/manual.xml %buildroot%_datadir/doc/%name-%version/manual.xml
%__install -pm644 %name/docs/en/readme.txt %buildroot%_datadir/doc/%name-%version/readme.txt
#%__cp -Rv dcgui/docs/en/images/* %buildroot%_datadir/doc/%name-%version/images
#readme
%__install -pm644 %SOURCE4 %buildroot%_datadir/doc/%name-%version/%name.translation.readme
#dclib ipfilter readme -- goes here for now
%__install -pm644 %SOURCE5 %buildroot%_datadir/doc/%name-%version/%name.ipfilter.readme

%post
%update_menus

%postun
%clean_menus

%files
%_menudir/%name
%_bindir/%name
%_datadir/%name/*
%_datadir/icons/%name.png
%_mandir/man?/*
%_datadir/doc/%name-%version

%changelog
* Mon Apr 04 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.3.8-alt1
- CVS from 04042005.
- Added 'savelayout' patch by Robin Hill, updated to current cvs.
- Added ipfilter's readme for valknut, no GUI setup yet.

* Sat Jan 15 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.3.6-alt1
- CVS from 15012005.
- Automake patch.

* Mon Nov 22 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt0.3
- CVS from 21112004
- Patch fixing (probably ;) problem with files with russian-named paths.

* Wed Oct 18 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt0.2
- CVS from 18102004.

* Sun Aug 29 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt0.1
- 0.3.4 CVS
- initial build

